---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: externaldns-tsig
  namespace: externaldns
spec:
  vaultAuthRef: default
  mount: kv
  type: kv-v2
  path: service/kubernetes/au/syd1/externaldns/tsig
  refreshAfter: 5m
  destination:
    name: externaldns-tsig
    create: true
  rolloutRestartTargets:
    - kind: Deployment
      name: externaldns
